io.vertx.kafka.admin

## Class Config

- java.lang.Object
- - io.vertx.kafka.admin.Config

-     public class Config
      extends Object

  A configuration object containing the configuration entries for a resource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Config()` Constructor
    `Config(JsonObject json)` Constructor (from JSON representation)
    `Config(List<ConfigEntry> entries)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ConfigEntry>` | `getEntries()`
    `Config` | `setEntries(List<ConfigEntry> entries)` Set the configuration entries for a resource
    `JsonObject` | `toJson()` Convert object to JSON representation
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Config

          public Config()

      Constructor

    - #### Config

          public Config(List<ConfigEntry> entries)

      Constructor
      Parameters:
        `entries` - configuration entries for a resource

    - #### Config

          public Config(JsonObject json)

      Constructor (from JSON representation)
      Parameters:
        `json` - JSON representation

  - ### Method Detail

    - #### getEntries

          public List<ConfigEntry> getEntries()

      Returns:
        configuration entries for a resource

    - #### setEntries

          public Config setEntries(List<ConfigEntry> entries)

      Set the configuration entries for a resource
      Parameters:
        `entries` - configuration entries for a resource
      Returns:
        current instance of the class to be fluent

    - #### toJson

          public JsonObject toJson()

      Convert object to JSON representation
      Returns:
        JSON representation

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 Eclipse. All rights reserved.